From 76bb2c80736d84312fc8f2b247cec14f62aaee3a Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 16 Nov 2024 05:03:22 +0000
Subject: [PATCH] dropbear: upgrade 2024.85 -> 2024.86

---
 .../dropbear/0001-urandom-xauth-changes-to-options.h.patch      | 2 +-
 .../dropbear/dropbear/0005-dropbear-enable-pam.patch            | 2 +-
 .../dropbear/dropbear/0006-dropbear-configuration-file.patch    | 2 +-
 .../dropbear/dropbear/dropbear-disable-weak-ciphers.patch       | 2 +-
 .../dropbear/{dropbear_2024.85.bb => dropbear_2024.86.bb}       | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
 rename meta/recipes-core/dropbear/{dropbear_2024.85.bb => dropbear_2024.86.bb} (98%)

diff --git a/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch b/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
index 9c1dd3f606..a6f9cf4233 100644
--- a/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
+++ b/meta/recipes-core/dropbear/dropbear/0001-urandom-xauth-changes-to-options.h.patch
@@ -1,4 +1,4 @@
-From cdc6a4a57a86d8116a92a5d905993e65cf723556 Mon Sep 17 00:00:00 2001
+From 46c7ce987fc9522b233aea41bef3a392868afe17 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard@openedhand.com>
 Date: Wed, 31 Aug 2005 10:45:47 +0000
 Subject: [PATCH] urandom-xauth-changes-to-options.h
diff --git a/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch b/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
index 6743f506e9..fab5b09328 100644
--- a/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
+++ b/meta/recipes-core/dropbear/dropbear/0005-dropbear-enable-pam.patch
@@ -1,4 +1,4 @@
-From 253ca01f0fc50dbaeb2ff8bcece0c34256eba94f Mon Sep 17 00:00:00 2001
+From 89e9de03a884689f7f02c2f275fa983512c83008 Mon Sep 17 00:00:00 2001
 From: Jussi Kukkonen <jussi.kukkonen@intel.com>
 Date: Wed, 2 Dec 2015 11:36:02 +0200
 Subject: [PATCH] Enable pam
diff --git a/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch b/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
index 44861088cc..fa0f6b8f5c 100644
--- a/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
+++ b/meta/recipes-core/dropbear/dropbear/0006-dropbear-configuration-file.patch
@@ -1,4 +1,4 @@
-From 16b147f97f0938cddb55ec1c90bc919c13f26fc0 Mon Sep 17 00:00:00 2001
+From 84c93a0e1b84588a2e064b8e4f1de902680aac0f Mon Sep 17 00:00:00 2001
 From: Mingli Yu <Mingli.Yu@windriver.com>
 Date: Thu, 6 Sep 2018 15:54:00 +0800
 Subject: [PATCH] dropbear configuration file
diff --git a/meta/recipes-core/dropbear/dropbear/dropbear-disable-weak-ciphers.patch b/meta/recipes-core/dropbear/dropbear/dropbear-disable-weak-ciphers.patch
index a20781d31d..39e85d863e 100644
--- a/meta/recipes-core/dropbear/dropbear/dropbear-disable-weak-ciphers.patch
+++ b/meta/recipes-core/dropbear/dropbear/dropbear-disable-weak-ciphers.patch
@@ -1,4 +1,4 @@
-From c8a0c8e87b772576f3a431c3b4cacaf5aa001dcc Mon Sep 17 00:00:00 2001
+From 8f0a5904dc24c6e95c1dbee73502aa83f33e8c87 Mon Sep 17 00:00:00 2001
 From: Joseph Reynolds <joseph.reynolds1@ibm.com>
 Date: Thu, 20 Jun 2019 16:29:15 -0500
 Subject: [PATCH] dropbear: new feature: disable-weak-ciphers
diff --git a/meta/recipes-core/dropbear/dropbear_2024.85.bb b/meta/recipes-core/dropbear/dropbear_2024.86.bb
similarity index 98%
rename from meta/recipes-core/dropbear/dropbear_2024.85.bb
rename to meta/recipes-core/dropbear/dropbear_2024.86.bb
index 54001414d0..e3f4d17896 100644
--- a/meta/recipes-core/dropbear/dropbear_2024.85.bb
+++ b/meta/recipes-core/dropbear/dropbear_2024.86.bb
@@ -23,7 +23,7 @@ SRC_URI = "http://matt.ucc.asn.au/dropbear/releases/dropbear-${PV}.tar.bz2 \
            ${@bb.utils.contains('PACKAGECONFIG', 'disable-weak-ciphers', 'file://dropbear-disable-weak-ciphers.patch', '', d)} \
            "
 
-SRC_URI[sha256sum] = "86b036c433a69d89ce51ebae335d65c47738ccf90d13e5eb0fea832e556da502"
+SRC_URI[sha256sum] = "e78936dffc395f2e0db099321d6be659190966b99712b55c530dd0a1822e0a5e"
 
 PAM_SRC_URI = "file://0005-dropbear-enable-pam.patch \
                file://0006-dropbear-configuration-file.patch \
-- 
2.44.1

